System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.ComponentModel.ICustomTypeDescriptor System.Data.IDataRecord To be added

Implements and , and provides data binding support for .

- Property
  System.Int32 To be added: an object of type 'int' To be added

  Indicates the number of fields within the current record. This property is read-only.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean ``

  No conversions are performed; therefore the data retrieved must already be a Boolean.

  Returns the value of the specified column as a Boolean.

  true if the Boolean is true; otherwise false.

  The column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Byte ``

  No conversions are performed; therefore the data retrieved must already be a byte.

  Returns the value of the specified column as a byte.

  The value of the specified column.

  The column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Int64 `` `` `` `` ``

  No conversions are performed; therefore the data retrieved must already be a byte array.

  Returns the value of the specified column as a byte array.

  The value of the specified column.

  The zero-based column ordinal. The index within the field from which to start the read operation. The buffer into which to read the stream of bytes. The index for to start the read operation. The number of bytes to read. 1.0.5000.0 2.0.0.0
- Method
  System.Char ``

  No conversions are performed; therefore the data retrieved must already be a character.

  Returns the value of the specified column as a character.

  The value of the specified column.

  The column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Int64 `` `` `` `` ``

  No conversions are performed; therefore the data retrieved must already be a character array.

  Returns the value of the specified column as a character array.

  The value of the specified column.

  Column ordinal. Buffer to copy data into. Maximum length to copy into the buffer. Point to start from within the buffer. Point to start from within the source data. 1.0.5000.0 2.0.0.0
- Method
  System.Data.IDataReader `` To be added

  Not currently supported.

  Not currently supported.

  Not currently supported. 1.0.5000.0 2.0.0.0
- Method
  System.String `` To be added

  Returns the name of the back-end data type.

  The name of the back-end data type.

  The column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.DateTime ``

  No conversions are performed; therefore the data retrieved must already be a object.

  Returns the value of the specified column as a object.

  The value of the specified column.

  The column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Decimal ``

  No conversions are performed; therefore the data retrieved must already be a object.

  Returns the value of the specified column as a object.

  The value of the specified column.

  The column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Double ``

  No conversions are performed; therefore the data retrieved must already be a double-precision floating-point number.

  Returns the value of the specified column as a double-precision floating-point number.

  The value of the specified column.

  The column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Type `` To be added

  Returns the that is the data type of the object.

  The that is the data type of the object.

  The column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Single ``

  No conversions are performed; therefore the data retrieved must already be a single-precision floating-point number.

  Returns the value of the specified column as a single-precision floating-point number.

  The value of the specified column.

  The column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Guid `` To be added

  Returns the GUID value of the specified field.

  The GUID value of the specified field.

  The index of the field to return. 1.0.5000.0 2.0.0.0
- Method
  System.Int16 ``

  No conversions are performed; therefore the data retrieved must already be a 16-bit signed integer.

  Returns the value of the specified column as a 16-bit signed integer.

  The value of the specified column.

  The column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 ``

  No conversions are performed; therefore the data retrieved must already be a 32-bit signed integer.

  Returns the value of the specified column as a 32-bit signed integer.

  The value of the specified column.

  The column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Int64 ``

  No conversions are performed; therefore the data retrieved must already be a 64-bit signed integer.

  Returns the value of the specified column as a 64-bit signed integer.

  The value of the specified column.

  The column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.String `` To be added

  Returns the name of the specified column.

  The name of the specified column.

  The column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added

  Returns the column ordinal, given the name of the column.

  The column ordinal.

  The name of the column. 1.0.5000.0 2.0.0.0
- Method
  System.String ``

  No conversions are performed; therefore the data retrieved must already be a string.

  Returns the value of the specified column as a string.

  The value of the specified column.

  The column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` To be added

  Returns the value at the specified column in its native format.

  The value to return.

  The column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 ``

  Using this method may be more efficient for most applications then retrieving each field individually.

  Populates an array of objects with the column values of the current record.

  The number of instances of in the array.

  An array of to copy the attribute fields into. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean ``

  Call this method to check for null column values before calling the typed get methods (for example, , , and so on) to avoid raising an error.

  Used to indicate nonexistent values.

  true if the specified column is equivalent to ; otherwise false.

  The column ordinal. 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.AttributeCollection

  For more information, see .

  Returns a collection of custom attributes for this instance of a component.

  An that contains the attributes for this object.

- Method
  1.0.5000.0
  2.0.0.0
  System.String

  For more information, see .

  Returns the class name of this instance of a component.

  The class name of the object, or null if the class does not have a name.

- Method
  1.0.5000.0
  2.0.0.0
  System.String

  For more information, see .

  Returns the name of this instance of a component.

  The name of the object, or null if the object does not have a name.

- Method
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.TypeConverter

  For more information, see .

  Returns a type converter for this instance of a component.

  A that is the converter for this object, or null if there is no for this object.

- Method
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.EventDescriptor

  For more information, see .

  Returns the default event for this instance of a component.

  An that represents the default event for this object, or null if this object does not have events.

- Method
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.PropertyDescriptor

  For more information, see .

  Returns the default property for this instance of a component.

  A that represents the default property for this object, or null if this object does not have properties.

- Method
  1.0.5000.0
  2.0.0.0
  System.Object ``

  For more information, see .

  Returns an editor of the specified type for this instance of a component.

  An of the specified type that is the editor for this object, or null if the editor cannot be found.

  A that represents the editor for this object.
- Method
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.EventDescriptorCollection

  For more information, see .

  Returns the events for this instance of a component.

  An that represents the events for this component instance.

- Method
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.EventDescriptorCollection ``

  For more information, see .

  Returns the events for this instance of a component using the specified attribute array as a filter.

  An that represents the filtered events for this component instance.

  An array of type that is used as a filter.
- Method
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.PropertyDescriptorCollection

  For more information, see .

  Returns the properties for this instance of a component.

  A that represents the properties for this component instance.

- Method
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.PropertyDescriptorCollection ``

  For more information, see .

  Returns the properties for this instance of a component using the attribute array as a filter.

  A that represents the filtered properties for this component instance.

  An array of type that is used as a filter.
- Method
  1.0.5000.0
  2.0.0.0
  System.Object ``

  For more information, see .

  Returns an object that contains the property described by the specified property descriptor.

  An that represents the owner of the specified property.

  A that represents the property whose owner is to be found.